/* Copyright 2020 Kyocera Communication Systems Co., Ltd All rights reserved. */

body, html{
	padding: 0;
	margin: 0;
	width:  100%;
	height: 100%;
	min-width:1366px;
}

table{
	border-collapse : collapse;
	border-spacing  : 0px;
	border          : 0px solid #000000;
}

td, th {
	padding:1px;
}

#app {
	width:  100%;
	height: 100%;
}

#zoomWindow{
	display: none;
	position: absolute;
}

#zoomIframe{
	width:  100%;
	height: 100%;
}

#mainTbl {
	width:  100%;
	height: 100%;
}

#header {
	width:  100%;
	height: 50px;
}

#header-table {
	width:  100%;
	height: 100%;

	background-color: #009000;
	color: #FFFFFF;

	vertical-align: midde;
	border-radius: 10px 10px 0px 0px;
}

#menuArea {
	width:  200px;
	height: auto;

	background-color: #545c64;

	color: #101010;
	vertical-align: top;
}

#menuTable{
	width:  200px;
	height: 100%;
}

#controlArea {
	position: relative;

	height: 120px;

	background-color: #E9E9E9;
	color: #101010;
}

#mainContent {
	position: relative;

	height: 100%;

	background-color: #FFFFFF;
	color: #101010;
}

#mainContentTable{
	width:  100%;
	height: 100%;
}

#ctlAreaTable{
	width:  100%;
	height: 100%;
}

#ctlAreaSubTable{
	width:  100%;
	height: 100%;
}

#loginAlert{
	vertical-align: midde;
	text-align: center;

	width: 500px;
	height:25px;

	background-color: white;
	color: red;

	border-radius: 10px 10px 10px 10px;
	box-shadow: 0 10px 25px 0 rgba(0, 0, 0, .5);
}

#loginInfo{
	vertical-align: middle;
	text-align: center;

	width: 500px;
	height:25px;

	background-color: white;
	color: blue;

	border-radius: 10px 10px 10px 10px;
	box-shadow: 0 10px 25px 0 rgba(0, 0, 0, .5);
}

#loginControl{
	vertical-align: midde;
	text-align: center;

	width: 500px;
	height:280px;

	background-color: white;

	border-radius: 10px 10px 10px 10px;
	box-shadow: 0 10px 25px 0 rgba(0, 0, 0, .5);
}

#loginBackground{
	width:  100%;
	height: calc(100vh - 52px);
	vertical-align: middle;
	text-align: center;
}

#headerLogo {
	position: fixed;
	top: 10px;
	left: 14px;
}

#systemTitle {
	position: fixed;
	top: 9px;
	left: 45px;
	width:400px;
}

#userIcon {
	position: fixed;
	top: 10px;
	right: 475px;
}

#companyNameLbl {
	position: fixed;
	top: 3px;
	right: 115px;
	width:350px;
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
}

#userNameLbl {
	position: fixed;
	top: 29px;
	right: 115px;
	width:350px;
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
}

#logoutBtn {
	position: fixed;
	top: 14px;
	right: 21px;
}

#helpBtn {
	position: fixed;
	bottom: 40px;
	left: 65px;
}

#bottomLogo {
	position: fixed;
	bottom: 10px;
	left: 15px;
	height: 20px;
}

#bottomFukuLow{
	position: fixed;
	bottom: 35px;
	left: 10px;
	height: 60px;
}
.link-focused:focus {
	text-decoration: underline;
}

.link-focused:hover {
	text-decoration: underline;
}

.form {
	margin: 15px 10px;
}

.form .form-label-medium {
	text-align: right;
	width: 130px;
	padding: 10px 10px 10px 5px;
	white-space: nowrap;
	vertical-align:top;
}

.form .form-label-mini {
	text-align: right;
	width:70px;
	padding:5px 10px;
	white-space: nowrap;
}

.form .form-input {
	overflow-wrap: anywhere;
	padding: 10px 5px 10px 10px;
}

.form .ctr-form-label-large {
	text-align: right;
	width:150px;
	padding: 5px 10px;
	white-space: nowrap;
}

.form .ctr-form-label-medium {
	text-align: right;
	width:120px;
	padding: 5px 10px;
	white-space: nowrap;
}

.form .ctr-form-label-mini {
	text-align: right;
	width:80px;
	padding: 5px 10px;
	white-space: nowrap;
}

/* グーグルマップ・レスポンシブレイアウト */
.gmap-wrap {
	position: relative;
	width:  100%;
	height: 100%;
	overflow: hidden;
}

.gmap-wrap iframe, .gmap-wrap object, .gmap-wrap embed {
	position: absolute;
	top:    0;
	left:   0;
	width:  100%;
	height: 100%;
}

#mapSearchControl{
	margin:  10px;
}

#mapControl{
	display: none;

	position: absolute;

	padding: 10px;
	margin:  10px;
	border:  0px solid #000;

	background-color: white;
	border-radius: 5px 5px 5px 5px;
	box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .5);
}

#subMapControl{
	display: none;

	position: absolute;

	padding: 10px;
	margin:  10px;
	border:  0px solid #000;

	background-color: white;
	border-radius: 5px 5px 5px 5px;
	box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .5);
}

#mapControlTable{
	width: 100%;
	height:100%;
}

#geofenceList{
	display: none;

	position: absolute;

	padding: 10px;
	margin:  10px;
	border:  0px solid #000;

	background-color: white;
	border-radius: 5px 5px 5px 5px;
	box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .5);
}

#subHistoryList{
	display: none;

	position: absolute;

	padding: 10px;
	margin:  10px;
	border:  0px solid #000;

	background-color: white;
	border-radius: 5px 5px 5px 5px;
	box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .5);
}

#geofenceRatCountList{
	display: none;

	position: absolute;

	padding: 10px;
	margin:  10px;
	border:  0px solid #000;

	background-color: white;
	border-radius: 5px 5px 5px 5px;
	box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .5);
}

#itemSelectBox{
	display: none;

	position: absolute;

	padding: 10px;
	margin:  15px;
	border:  0px solid #000;

	background-color: white;
	border-radius: 5px 5px 5px 5px;
	box-shadow: 0 5px 10px 0 rgba(0, 0, 0, .5);
}
.tableHeader{
	background-color: #009000;
	color: #FFFFFF;
}

#LabelSpace{
	width:95%;
	height:90%;

	padding: 3px;
	margin:  3px;

	background-color: #FAFAFA;
	border-radius: 3px 3px 3px 3px;
}

#zoomButton {
	color: #909399;
	background-color: #F5F7FA;
}

#zoomButton:focus {
	background-color: #C1C1C1;
}

a{
	color:#409eff;
    text-decoration: none;
    outline: none;
    cursor: pointer;
    font-weight: 500;
}

i.el-icon-error {
  color: red
}
i.el-icon-success {
  color: green
}

.rat-history-table-cell>div.cell {
	display:flex;
}

.hasAlert {
	color: red;
}